Bug 69190 - 2.4.18-5.74smp fails at boot with APIC errors
2.4.18-5.74smp fails at boot with APIC errors
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-18 15:09 EDT by Nalin Dahyabhai
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-18 15:11:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2002-07-18 15:09:20 EDT
Attempting to booth kernel-smp-2.4.18-5.74 on my dual-processor system fails
early in the boot cycle, repeatedly printing this message to the console:
APIC error on CPU0: 08(08)

The system needs to be power-cycled to reboot it.  Booting the same kernel with
"noapic" works around the problem, and as a point of reference, 5.73 did not
exhibit this problem.  The output of 'lspci -v', in case it's hardware-related:

00:00.0 Host bridge: ServerWorks CNB20LE Host Bridge (rev 05)
        Flags: bus master, medium devsel, latency 64

00:00.1 Host bridge: ServerWorks CNB20LE Host Bridge (rev 05)
        Flags: bus master, medium devsel, latency 64

00:01.0 PCI bridge: Digital Equipment Corporation DECchip 21152 (rev 03) (prog-i
f 00 [Normal decode])
        Flags: bus master, medium devsel, latency 128
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=255
        I/O behind bridge: 00001000-00001fff
        Memory behind bridge: ec200000-ec6fffff
        Capabilities: <available only to root>

00:02.0 Multimedia video controller: Brooktree Corporation Bt848 Video Capture (
rev 11)
        Flags: bus master, medium devsel, latency 66, IRQ 5
        Memory at eca00000 (32-bit, prefetchable) [size=4K]

00:03.0 Co-processor: Quicklogic Corporation: Unknown device 13c8 (rev 01)
        Subsystem: Unknown device 172a:ba98
        Flags: bus master, 66Mhz, medium devsel, latency 66, IRQ 5
        Memory at ec800000 (64-bit, prefetchable) [size=4K]
        Memory at ec900000 (64-bit, prefetchable) [size=4K]

00:0f.0 ISA bridge: ServerWorks OSB4 South Bridge (rev 51)
        Subsystem: ServerWorks OSB4 South Bridge
        Flags: bus master, medium devsel, latency 0

00:0f.1 IDE interface: ServerWorks OSB4 IDE Controller (prog-if 8a [Master SecP 
PriP])
        Flags: bus master, medium devsel, latency 64
        I/O ports at 2000 [size=16]

00:0f.2 USB Controller: ServerWorks OSB4/CSB5 USB Controller (rev 04) (prog-if 1
0 [OHCI])
        Subsystem: ServerWorks OSB4/CSB5 USB Controller
        Flags: bus master, medium devsel, latency 64, IRQ 5
        Memory at ec700000 (32-bit, non-prefetchable) [size=4K]

01:04.0 SCSI storage controller: Adaptec AHA-3960D / AIC-7899A U160/m (rev 01)
        Subsystem: Compaq Computer Corporation Compaq 64-Bit/66MHz Dual Channel 
Wide Ultra3 SCSI Adapter
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 11
        BIST result: 00
        I/O ports at 1000 [disabled] [size=256]
        Memory at ec200000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: <available only to root>

01:04.1 SCSI storage controller: Adaptec AHA-3960D / AIC-7899A U160/m (rev 01)
        Subsystem: Compaq Computer Corporation Compaq 64-Bit/66MHz Dual Channel 
Wide Ultra3 SCSI Adapter
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 11
        BIST result: 00
        I/O ports at 1400 [disabled] [size=256]
        Memory at ec300000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: <available only to root>

01:05.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 08)
        Subsystem: Compaq Computer Corporation NC3163 Fast Ethernet NIC (embedde
d, WOL)
        Flags: bus master, medium devsel, latency 66, IRQ 15
        Memory at ec500000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at 1c00 [size=64]
        Memory at ec400000 (32-bit, non-prefetchable) [size=1M]
        Expansion ROM at <unassigned> [disabled] [size=1M]
        Capabilities: <available only to root>

01:07.0 System peripheral: Compaq Computer Corporation Advanced System Managemen
t Controller
        Subsystem: Compaq Computer Corporation: Unknown device b0f3
        Flags: medium devsel, IRQ 5
        I/O ports at 1800 [size=256]
        Memory at ec600000 (32-bit, non-prefetchable) [size=256]

04:01.0 VGA compatible controller: ATI Technologies Inc Rage 128 RE/SG (prog-if 
00 [VGA])
        Subsystem: ATI Technologies Inc Xpert 128
        Flags: bus master, stepping, medium devsel, latency 66, IRQ 5
        Memory at f0000000 (32-bit, prefetchable) [size=64M]
        I/O ports at b000 [size=256]
        Memory at ec100000 (32-bit, non-prefetchable) [size=16K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: <available only to root>

04:02.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 04)
        Subsystem: Creative Labs CT4850 SBLive! Value
        Flags: bus master, medium devsel, latency 64, IRQ 5
        I/O ports at b400 [size=32]
        Capabilities: <available only to root>

04:02.1 Input device controller: Creative Labs SB Live! MIDI/Game Port (rev 01)
        Subsystem: Creative Labs Gameport Joystick
        Flags: bus master, medium devsel, latency 64
        I/O ports at b420 [size=8]
        Capabilities: <available only to root>

04:03.0 Co-processor: BROADCOM Corporation BCM5820 Crypto Accelerator (rev 01)
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 5
        BIST result: 00
        Memory at ec000000 (32-bit, non-prefetchable) [size=64K]

04:04.0 Serial controller: Lava Computer mfg Inc: Unknown device 0110 (prog-if 0
2 [16550])
        Flags: slow devsel, IRQ 10
        I/O ports at b428 [size=8]

04:04.1 Serial controller: Lava Computer mfg Inc: Unknown device 0111 (prog-if 0
2 [16550])
        Flags: slow devsel, IRQ 10
        I/O ports at b430 [size=8]
Comment 1 Arjan van de Ven 2002-07-19 07:21:12 EDT
fixed in 2.4.18-5.75 (verified by twaugh)

Note You need to log in before you can comment on or make changes to this bug.